
def plot_world_map(continent='default', projection='cyl', resolution='l'):
    """
    This function plots a world map using the Basemap library.
    It accepts the continent to plot, projection type, and map resolution.
    """
    from mpl_toolkits.basemap import Basemap
    import matplotlib.pyplot as plt

    # Create a Basemap object with the specified projection and resolution
    m = Basemap(projection=projection, resolution=resolution)

    # Plot the specified continent
    m.plotcoast(continent=continent)

    # Display the map
    plt.show()



